Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.servlets
Class CGIServlet.HTTPHeaderInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.catalina.servlets.CGIServlet.HTTPHeaderInputStream

Enclosing class:
  CGIServlet

protected class CGIServlet.HTTPHeaderInputStream
extends java.io.InputStream

This is an input stream specifically for reading HTTP headers. It reads upto and including the two blank lines terminating the headers. It allows the content to be read using bytes or characters as appropriate.

Method Summary
`int` | `read()`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### read

    public int read()
             throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `InputStream.read()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.